> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.neetocrm.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update team member

> Update a team member.

<Info>Replace `{your-subdomain}` with your workspace's subdomain. <br /> Learn how to find your subdomain in [Workspace subdomain](/getting-started/workspace-subdomain).</Info>


## OpenAPI

````yaml /bundled/team-members.yaml PATCH /team-members/{team_member_id}
openapi: 3.0.3
info:
  title: NeetoCRM Team Members APIs
  version: 2.0.0
servers:
  - description: NeetoCRM APIs
    url: https://{your-subdomain}.neetocrm.com/api/external/v2
    variables:
      your-subdomain:
        default: spinkart
        description: >-
          Replace **spinkart** with your [workspace's
          subdomain](/getting-started/workspace-subdomain).
security: []
tags:
  - name: Team Members
    description: APIs to manage team members in the workspace.
paths:
  /team-members/{team_member_id}:
    patch:
      tags:
        - Team Members
      summary: Update team member details
      description: Update a team member.
      parameters:
        - $ref: '#/components/parameters/api_key_header'
        - $ref: '#/components/parameters/accept_header'
        - in: path
          name: team_member_id
          description: >-
            Id of the team member that you want to update. You can get
            `team_member_id` by listing all team members using our [List team
            members](/api-reference/team-members/list) API. Here you will see id
            for each team member.
          required: true
          schema:
            type: string
            format: uuid
            example: aaaabbbb-cccc-dddd-eeee-ffff00001111
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                email:
                  type: string
                  description: Email of the team member.
                  example: oliver@example.com
                first_name:
                  type: string
                  description: First name of the team member.
                  example: Oliver
                last_name:
                  type: string
                  description: Last name of the team member.
                  example: Smith
                time_zone:
                  type: string
                  description: >-
                    Time zone for the team member. It should be a valid time
                    zone.
                  example: Asia/Kolkata
                organization_role:
                  type: string
                  description: >-
                    Organization role for the team member. This value should be
                    one of the organization roles of your workspace. The list of
                    organization roles can be seen in Roles page. This value is
                    case sensitive.
                  example: Admin
      responses:
        '200':
          description: OK - Request succeeded
          content:
            application/json:
              schema:
                type: object
                properties:
                  team_member:
                    $ref: '#/components/schemas/team_member'
components:
  parameters:
    api_key_header:
      in: header
      name: X-Api-Key
      description: >-
        Use the X-Api-Key header to provide your workspace API key. Refer to
        [Authentication](/getting-started/authentication) for more information.
      required: true
      schema:
        type: string
    accept_header:
      in: header
      name: Accept
      description: >-
        Specifies the expected response format. Must be set to
        `application/json` for proper API communication.
      required: true
      schema:
        type: string
        enum:
          - application/json
        default: application/json
  schemas:
    team_member:
      type: object
      properties:
        id:
          type: string
          format: uuid
          example: aaaabbbb-cccc-dddd-eeee-ffff00001111
        email:
          type: string
          example: oliver@example.com
        first_name:
          type: string
          example: Oliver
        last_name:
          type: string
          example: Smith
        time_zone:
          type: string
          example: Asia/Kolkata
        profile_image_url:
          type: string
          nullable: true
          example: null
        active:
          type: boolean
          example: true
        organization_role:
          type: string
          example: Admin

````